Subject: Re: [PATCH] netpoll: trapping fix/cleanup

From: Jeff Garzik <[email-masked]>
Date: Tue, 03 Apr 2007 22:30:46 -0400

Sergei Shtylyov wrote:
> CONFIG_NETPOLL_TRAP causes the TX queue controls to be completely bypassed in
> the netpoll's "trapped" mode which easily causes overflows in the drivers with
> short TX queues (most notably, in 8139too with its 4-deep queue).
> Make this option more sensible by only bypassing TX softirq wakeup and remove
> CONFIG_NETPOLL_RX option completely since there is *no* code depending on it.
> 
> Signed-off-by: Sergei Shtylyov <[email-masked]>

ACK but (a) DaveM not me should apply this, and (b) I would check with 
netpoll people to see what that define is there for.

	Jeff

-------------------------------------------------------------------------
Take Surveys. Earn Cash. Influence the Future of IT
Join SourceForge.net's Techsay panel and you'll get the chance to share your
opinions on IT & business topics through brief surveys-and earn cash
http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV